[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'BufDataset' (#fcl)

# TCustomBufDataset.ClearIndexes

Clears index storage in the dataset

## Declaration

Source position: bufdataset.pas line 643

`public procedure TCustomBufDataset.ClearIndexes;`

## Description

ClearIndexes is a procedure procedure used to clear the storage for all indexes in the dataset. ClearIndexes uses the index definitions in the BufIndexDefs property and calls the ClearIndex method for each of the indexes.

ClearIndexes calls CheckInactive to ensure that the dataset has its Active property set to False. Indexes cannot be cleared if the dataset has been opened.

ClearIndexes is used when the value in the UniDirectional property is changed to False, and in the destructor for the class instance.

## See also

TDataset.CheckInactive
TCustomBufDataset.UniDirectional |  | Indicates if the dataset is for uni-directional navigation only